Bug 1469789 - It takes ages to unmount an external disk
Summary: It takes ages to unmount an external disk
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1469827 1474088 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-11 20:34 UTC by Paul Smith
Modified: 2018-05-03 09:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 09:52:14 UTC
Type: Bug


Attachments (Terms of Use)
Output of strace (778.31 KB, text/plain)
2017-07-21 11:23 UTC, Paul Smith
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 13729 0 None None None 2017-07-21 12:26:59 UTC

Description Paul Smith 2017-07-11 20:34:32 UTC
I have just upgraded from F25 to F26. 

When I plug a usb external disk and I mount it through thunar, it works fine. However, when I try to unmount it, it takes ages until the unmounting is completed. If I unmount the external disk by using the terminal, the unmounting is immediate -- therefore the problem is thunar's.

Thanks, Paul

Comment 1 Kevin Fenzi 2017-07-20 21:50:10 UTC
*** Bug 1469827 has been marked as a duplicate of this bug. ***

Comment 2 Kevin Fenzi 2017-07-20 21:54:57 UTC
Would one of you be willing to file this upstream at bugzilla.xfce.org?

I cannot seem to duplicate it here. ;(

Comment 3 Sam Varshavchik 2017-07-21 00:32:11 UTC
Should verify that this is the same bug. Can you try strace-ing the thunar process, to verify the same observations I made in my bug.

Also, the fact that the same exact version of Thunar on F25 was fine.

Comment 4 Paul Smith 2017-07-21 11:23:43 UTC
Created attachment 1302303 [details]
Output of strace

The output of strace is attached, Sam.

Paul

Comment 5 Sam Varshavchik 2017-07-21 12:17:49 UTC
You captured too much data. Your strace ends with a poll of four low-numbered file descriptors; 3, 4, 5, and 6.

But searching through this, I do see the same bug in your strace. Several instances of this:

eventfd2(0, EFD_CLOEXEC|EFD_NONBLOCK)   = 21
futex(0x55b9dd02d0d8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x55b9dd037a20, FUTEX_WAIT_PRIVATE, 2, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55b9dd037a20, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=21, events=POLLIN}], 1, 24998) = 0 (Timeout)

It created a new event file descriptor, then sat on it until poll() timed out after 25 seconds. This pattern gets repeated several times.

So this is the same bug.

Comment 6 Paul Smith 2017-07-21 12:34:23 UTC
Thanks, Sam.

Comment 7 Kevin Fenzi 2017-07-22 20:50:55 UTC
Thanks for filing upstream. Hopefully we will get it sorted out soon.

Comment 8 Aleksandar Kostadinov 2017-07-23 20:22:54 UTC
*** Bug 1474088 has been marked as a duplicate of this bug. ***

Comment 9 Fedora End Of Life 2018-05-03 07:55:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Aleksandar Kostadinov 2018-05-03 09:52:14 UTC
This issue is fixed in Fedora 27. One interesting thing for anybody that still has this issue is that one of my Fedora 27 machines still has the issue.

It looks like some leftover configuration setting though, because it only manifests with one account. If I create a new account, then umount starts to work instantaneously. I still haven't identified what exactly has to be clean-up to get it working though :(
I'm still resisting the urge to wipe the whole config.


Note You need to log in before you can comment on or make changes to this bug.